
import './App.scss';
import Header from './components/Header';
import Main from './components/MainPage/Main';
import CLoginForm from './components/LoginPage/Login';
import Register from './components/RegisterPage/Register';
import {BrowserRouter as Router, Switch, Route} from 'react-router-dom';
import createHistory from "history/createBrowserHistory";
import { Provider } from 'react-redux';
import store from './reducers';
const history = createHistory();


function App() {
  return (
    <Router history={history}>
      <Provider store={store}>
      <Switch>
    <div className="App">
        {/* {store.auth.payload?.sub?.id && } */}
        <Route exact path="/login" component={CLoginForm}/>
        <Route exact path="/register" component={Register}/>
        <Route exact path="/" component={Header}/>
        <Route exact path="/" component={Main}/>
        <Route exact path="/collections" component={Header}/>
        <Route exact path="/collections" component={Main}/>
        <Route exact path="/createpost" component={Main}/>
    </div>
    </Switch>
    </Provider>
    </Router>
  );
}

export default App;
